

calculadora=$1

directorio=$2

salida=TMPsalida
salidaError=TMPsalidaError

for entrada in $directorio/*.i
do
   prueba=`basename $entrada .i`
   salidaEsperada=$directorio/$prueba.o 
   salidaErrorEsperada=$directorio/$prueba.e

   $calculadora  $entrada > $salida 2> $salidaError

   if diff -q $salida $salidaEsperada > /dev/null
   then
      if diff -q $salidaError $salidaErrorEsperada > /dev/null
      then
         echo BIEN $directorio/$prueba
      else
         echo MAL $directorio/$prueba
         diff $salidaErrorEsperada $salidaError
      fi
   else
      echo MAL $directorio/$prueba
      diff $salidaEsperada $salida
   fi

done

rm -f $salida $salidaError

